hack_array_mpi_rep< T, A >::dis_reference

## Public Member Functions

| dis_reference (hack_array_mpi_rep< T, A > &x, size_type dis_i)
dis_reference & | operator= (const generic_value_type &value)

## Protected Attributes

hack_array_mpi_rep< T, A > & | _x
size_type | _dis_i

## Detailed Description

### template<class T, class A>
struct rheolef::hack_array_mpi_rep< T, A >::dis_reference

Definition at line 179 of file hack_array.h.

## Constructor & Destructor Documentation

## dis_reference()

dis_reference | ( | hack_array_mpi_rep< T, A > & | x,
|  | size_type | dis_i
| ) |  |

Definition at line 180 of file hack_array.h.

## Member Function Documentation

## operator=()

dis_reference& operator= | ( | const generic_value_type & | value | ) |

Definition at line 183 of file hack_array.h.

## Member Data Documentation

## _x

hack_array_mpi_rep<T,A>& _x

protected

Definition at line 189 of file hack_array.h.

## _dis_i

size_type _dis_i

protected

Definition at line 190 of file hack_array.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/hack_array.h